Create a Note from Email
curl --request POST \
--url https://api.virtuoussoftware.com/api/ContactNote/Email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromEmail": "<string>",
"toEmail": "<string>",
"subject": "<string>",
"body": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromEmail: '<string>',
toEmail: '<string>',
subject: '<string>',
body: JSON.stringify('<string>')
})
};
fetch('https://api.virtuoussoftware.com/api/ContactNote/Email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactNote/Email"
payload = {
"fromEmail": "<string>",
"toEmail": "<string>",
"subject": "<string>",
"body": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactNote/Email");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"fromEmail\": \"<string>\",\n \"toEmail\": \"<string>\",\n \"subject\": \"<string>\",\n \"body\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactNote/Email';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromEmail: '<string>',
toEmail: '<string>',
subject: '<string>',
body: JSON.stringify('<string>')
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
},
{
"id": "<integer>",
"contactId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"noteDate": "<string>",
"type": "<string>",
"note": "<string>",
"important": "<boolean>",
"isPrivate": "<boolean>",
"createdByAvatarUrl": "<string>",
"reminder": {
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Create a Note from Email
Records an email exchange as a note. Virtuous matches the fromEmail and toEmail addresses to individuals and files the note on each contact it finds, so the response can contain more than one note.
POST
/
api
/
ContactNote
/
Email
Create a Note from Email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
When true, the record is only visible to users with permission to view private records.
Show child attributes
Show child attributes
Last modified on August 11, 2026
Was this page helpful?
⌘I